#
# Spec file for prk-libs
#
Summary: libraries needed for the Perl Resource Kit on Red Hat Linux 5.0
Name: prk-libs
Version: 1.0
Release: 1
Copyright: GPL
Group: Libraries
Packager: Ian Macdonald <ianmacd@xs4all.nl>
Source: ftp://ftp.software.ora.com/pub/techsupport/kb/old-libs.tar.gz
URL: http://tech.ora.com/kb/prkunix/10mar144817.html

%description
The installation program of O'Reilly's Perl Resource Kit segfaults on
Hurricane, as it needs some libc5 based libraries missing from the system.
This rpm provides those libraries.

%prep
%setup -n usr/i486-linux-libc5

%install
install lib/libdb.so.2.0.0 /usr/i486-linux-libc5/lib/libdb.so.2.0.0
install lib/libgdbm.so.2.0.0 /usr/i486-linux-libc5/lib/libgdbm.so.2.0.0
install lib/libpthread.so.0.5 /usr/i486-linux-libc5/lib/libpthread.so.0.5

%post
if ! grep '^/usr/i486-linux-libc5/lib$' /etc/ld.so.conf > /dev/null; then
    echo "/usr/i486-linux-libc5/lib" >> /etc/ld.so.conf
fi
/sbin/ldconfig

%postun
if [ "$1" = '0' ]; then
    grep -v '^"/usr/i486-linux-libc5/lib$' /etc/ld.so.conf > /etc/ld.so.conf.new
    mv /etc/ld.so.conf.new /etc/ld.so.conf
fi
/sbin/ldconfig

%files
/usr/i486-linux-libc5/lib/libdb.so.2.0.0
/usr/i486-linux-libc5/lib/libgdbm.so.2.0.0
/usr/i486-linux-libc5/lib/libpthread.so.0.5
